<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_flba_include.php
| Author: Datalus
| Adapted for the version 7.02 by jikaka 24.06.2011
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_flba = isset($user_data['user_flba']) ? $user_data['user_flba'] : "";
	if ($this->isError()) { $user_flba = isset($_POST['user_flba']) ? stripinput($_POST['user_flba']) : $user_flba; }
	
	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_flba")."'><label for='user_flba'>".$locale['uf_flba'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_flba")."'>";
	echo "<input type='text' id='user_flba' name='user_flba' value='".$user_flba."' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";
	
	if ($required) { $this->setRequiredJavaScript("user_flba", $locale['uf_flba_error']); }

// Display in profile	
} elseif ($profile_method == "display") {
	if ($user_data['user_flba']) {
		echo "<tr>\n";
		echo "<td colspan='2' align='center' class='tbl1'><object classid='clsid:d27cdb6e-ae6d-11cf-96b8-444553540000' codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab' width='468' height='60'><param name='movie' value='".$user_data['user_flba']."' /><param name='quality' value='high' /><param name='wmode' value='transparent' /><embed src='".$user_data['user_flba']."' quality='high' wmode='transparent' width='468' height='60' type='application/x-shockwave-flash' pluginspage='http://www.macromedia.com/go/getflashplayer'></embed></object></td>\n";
		echo "</tr>\n";
	}
	
// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_flba']) && ($_POST['user_flba'] != "" || $this->_isNotRequired("user_flba"))) {
		// Set update or insert user data
		$this->_setDBValue("user_flba", stripinput(trim($_POST['user_flba'])));
	} else {
		$this->_setError("user_flba", $locale['uf_flba_error'], true);	
	}
}
?>